Execution
Date 03 Mar 2026 22:23:33 +0000
Duration 00:01:11.45
Controller ssh-gw-4.layershift.com
User root
Versions
Ansible 2.16.13
ara 1.7.4 / 1.7.4
Python 3.10.10
Summary
5 Hosts
3 Tasks
15 Results
1 Plays
1 Files
0 Records

Task result details


Field Value
changed
True
cmd
set -o pipefail
paths=$(find /opt/alt/php* -name "default.ini" | xargs grep -l "^zend_extension=.*ioncube_loader_lin.*" 2>/dev/null)

if [[ -n "$paths" ]]; then
  package_names=$(echo "$paths" | awk -F'/' '{ print $3 "-" $4 "-ioncube-loader" }' )

  while IFS= read -r path <&3 && IFS= read -r package <&4; do

    if [[ "$package" == *"alt-php"* && "$path" == "/opt/alt/php"* ]]; then
      echo "[ INFO ] Installing package: $package"
      
      if [[ ! -f "$healthy_ioncube" ]]; then
        dnf install -y --disableexcludes=all "$package"
      fi
      rc=$?

      if [ "$rc" == 0 ]; then
        echo "[ INFO ] Removing the ioncube_loader_lin.so module from $path!"
        sed -i '/zend_extension=\/opt\/alt\/php.*\/ioncube_loader_lin_.*\.so/d' "$path"

        php_bin=$(echo $path | sed 's|/etc/php.d/default.ini|/usr/bin/php|')
        ioncube_ini=$(echo $path | sed 's|/php.d/default.ini|/php.d.all/ioncube_loader.ini|')
        dest_path=$(echo $path | sed 's|default.ini|10-ioncube_loader.ini|')

        ln -s "$ioncube_ini" "$dest_path"

        if ! "$php_bin" -i |  grep -w "ionCube24 v1[4-5]"; then
          echo "[ ERROR ] Ioncube wasn't enabled successfully!"
          exit 128
        else
          echo "[ INFO ] Ioncube was enabled successfully!"
        fi

      else
        echo "[ ERROR ] Failed to install $package. Stopping script!"
        exit 128
      fi

    else
      echo "[ ERROR ] Something went wrong: $path $package"
      exit 128
    fi

  done 3<<< "$paths" 4<<< "$package_names"
  find /opt/alt/php* -name "ioncube_loader_lin*.so" -type f -delete

else
  echo "[ INFO ] ioncube_loader_lin.so file wasn't found!"
fi
delta
0:01:05.361366
end
2026-03-03 22:24:44.522667
failed_when_result
False
invocation
{
    "module_args": {
        "_raw_params": "set -o pipefail\npaths=$(find /opt/alt/php* -name \"default.ini\" | xargs grep -l \"^zend_extension=.*ioncube_loader_lin.*\" 2>/dev/null)\n\nif [[ -n \"$paths\" ]]; then\n  package_names=$(echo \"$paths\" | awk -F'/' '{ print $3 \"-\" $4 \"-ioncube-loader\" }' )\n\n  while IFS= read -r path <&3 && IFS= read -r package <&4; do\n\n    if [[ \"$package\" == *\"alt-php\"* && \"$path\" == \"/opt/alt/php\"* ]]; then\n      echo \"[ INFO ] Installing package: $package\"\n      \n      if [[ ! -f \"$healthy_ioncube\" ]]; then\n        dnf install -y --disableexcludes=all \"$package\"\n      fi\n      rc=$?\n\n      if [ \"$rc\" == 0 ]; then\n        echo \"[ INFO ] Removing the ioncube_loader_lin.so module from $path!\"\n        sed -i '/zend_extension=\\/opt\\/alt\\/php.*\\/ioncube_loader_lin_.*\\.so/d' \"$path\"\n\n        php_bin=$(echo $path | sed 's|/etc/php.d/default.ini|/usr/bin/php|')\n        ioncube_ini=$(echo $path | sed 's|/php.d/default.ini|/php.d.all/ioncube_loader.ini|')\n        dest_path=$(echo $path | sed 's|default.ini|10-ioncube_loader.ini|')\n\n        ln -s \"$ioncube_ini\" \"$dest_path\"\n\n        if ! \"$php_bin\" -i |  grep -w \"ionCube24 v1[4-5]\"; then\n          echo \"[ ERROR ] Ioncube wasn't enabled successfully!\"\n          exit 128\n        else\n          echo \"[ INFO ] Ioncube was enabled successfully!\"\n        fi\n\n      else\n        echo \"[ ERROR ] Failed to install $package. Stopping script!\"\n        exit 128\n      fi\n\n    else\n      echo \"[ ERROR ] Something went wrong: $path $package\"\n      exit 128\n    fi\n\n  done 3<<< \"$paths\" 4<<< \"$package_names\"\n  find /opt/alt/php* -name \"ioncube_loader_lin*.so\" -type f -delete\n\nelse\n  echo \"[ INFO ] ioncube_loader_lin.so file wasn't found!\"\nfi\n",
        "_uses_shell": true,
        "argv": null,
        "chdir": null,
        "creates": null,
        "executable": "/bin/bash",
        "expand_argument_vars": true,
        "removes": null,
        "stdin": null,
        "stdin_add_newline": true,
        "strip_empty_ends": true
    }
}
msg

rc
0
start
2026-03-03 22:23:39.161301
stderr
PHP Warning:  Unknown: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in Unknown on line 0
stderr_lines
[
    "PHP Warning:  Unknown: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in Unknown on line 0"
]
stdout
[ INFO ] Installing package: alt-php55-ioncube-loader
This system is receiving updates from CloudLinux Network server.
Last metadata expiration check: 3:39:57 ago on Tue 03 Mar 2026 06:44:09 PM GMT.
Package alt-php55-ioncube-loader-14.4.0-2.el8.x86_64 is already installed.
Dependencies resolved.
================================================================================
 Package                  Arch   Version       Repository                  Size
================================================================================
Upgrading:
 alt-php55-ioncube-loader x86_64 15.0.0-1.el8  cloudlinux-x86_64-server-8 573 k

Transaction Summary
================================================================================
Upgrade  1 Package

Total download size: 573 k
Downloading Packages:
alt-php55-ioncube-loader-15.0.0-1.el8.x86_64.rp 9.6 MB/s | 573 kB     00:00    
--------------------------------------------------------------------------------
Total                                           9.3 MB/s | 573 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                        1/1 
  Upgrading        : alt-php55-ioncube-loader-15.0.0-1.el8.x86_64           1/2 
  Cleanup          : alt-php55-ioncube-loader-14.4.0-2.el8.x86_64           2/2 
  Verifying        : alt-php55-ioncube-loader-15.0.0-1.el8.x86_64           1/2 
  Verifying        : alt-php55-ioncube-loader-14.4.0-2.el8.x86_64           2/2 

Upgraded:
  alt-php55-ioncube-loader-15.0.0-1.el8.x86_64                                  

Complete!
[ INFO ] Removing the ioncube_loader_lin.so module from /opt/alt/php55/etc/php.d/default.ini!
    with the ionCube PHP Loader + ionCube24 v15.0.0, Copyright (c) 2002-2025, by ionCube Ltd.
[ INFO ] Ioncube was enabled successfully!
[ INFO ] Installing package: alt-php56-ioncube-loader
This system is receiving updates from CloudLinux Network server.
Last metadata expiration check: 3:40:29 ago on Tue 03 Mar 2026 06:44:09 PM GMT.
Package alt-php56-ioncube-loader-14.4.0-2.el8.x86_64 is already installed.
Dependencies resolved.
================================================================================
 Package                  Arch   Version       Repository                  Size
================================================================================
Upgrading:
 alt-php56-ioncube-loader x86_64 15.0.0-1.el8  cloudlinux-x86_64-server-8 562 k

Transaction Summary
================================================================================
Upgrade  1 Package

Total download size: 562 k
Downloading Packages:
alt-php56-ioncube-loader-15.0.0-1.el8.x86_64.rp 8.6 MB/s | 562 kB     00:00    
--------------------------------------------------------------------------------
Total                                           8.4 MB/s | 562 kB     00:00     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                        1/1 
  Upgrading        : alt-php56-ioncube-loader-15.0.0-1.el8.x86_64           1/2 
  Cleanup          : alt-php56-ioncube-loader-14.4.0-2.el8.x86_64           2/2 
  Verifying        : alt-php56-ioncube-loader-15.0.0-1.el8.x86_64           1/2 
  Verifying        : alt-php56-ioncube-loader-14.4.0-2.el8.x86_64           2/2 

Upgraded:
  alt-php56-ioncube-loader-15.0.0-1.el8.x86_64                                  

Complete!
[ INFO ] Removing the ioncube_loader_lin.so module from /opt/alt/php56/etc/php.d/default.ini!
    with the ionCube PHP Loader + ionCube24 v15.0.0, Copyright (c) 2002-2025, by ionCube Ltd.
[ INFO ] Ioncube was enabled successfully!
stdout_lines
[
    "[ INFO ] Installing package: alt-php55-ioncube-loader",
    "This system is receiving updates from CloudLinux Network server.",
    "Last metadata expiration check: 3:39:57 ago on Tue 03 Mar 2026 06:44:09 PM GMT.",
    "Package alt-php55-ioncube-loader-14.4.0-2.el8.x86_64 is already installed.",
    "Dependencies resolved.",
    "================================================================================",
    " Package                  Arch   Version       Repository                  Size",
    "================================================================================",
    "Upgrading:",
    " alt-php55-ioncube-loader x86_64 15.0.0-1.el8  cloudlinux-x86_64-server-8 573 k",
    "",
    "Transaction Summary",
    "================================================================================",
    "Upgrade  1 Package",
    "",
    "Total download size: 573 k",
    "Downloading Packages:",
    "alt-php55-ioncube-loader-15.0.0-1.el8.x86_64.rp 9.6 MB/s | 573 kB     00:00    ",
    "--------------------------------------------------------------------------------",
    "Total                                           9.3 MB/s | 573 kB     00:00     ",
    "Running transaction check",
    "Transaction check succeeded.",
    "Running transaction test",
    "Transaction test succeeded.",
    "Running transaction",
    "  Preparing        :                                                        1/1 ",
    "  Upgrading        : alt-php55-ioncube-loader-15.0.0-1.el8.x86_64           1/2 ",
    "  Cleanup          : alt-php55-ioncube-loader-14.4.0-2.el8.x86_64           2/2 ",
    "  Verifying        : alt-php55-ioncube-loader-15.0.0-1.el8.x86_64           1/2 ",
    "  Verifying        : alt-php55-ioncube-loader-14.4.0-2.el8.x86_64           2/2 ",
    "",
    "Upgraded:",
    "  alt-php55-ioncube-loader-15.0.0-1.el8.x86_64                                  ",
    "",
    "Complete!",
    "[ INFO ] Removing the ioncube_loader_lin.so module from /opt/alt/php55/etc/php.d/default.ini!",
    "    with the ionCube PHP Loader + ionCube24 v15.0.0, Copyright (c) 2002-2025, by ionCube Ltd.",
    "[ INFO ] Ioncube was enabled successfully!",
    "[ INFO ] Installing package: alt-php56-ioncube-loader",
    "This system is receiving updates from CloudLinux Network server.",
    "Last metadata expiration check: 3:40:29 ago on Tue 03 Mar 2026 06:44:09 PM GMT.",
    "Package alt-php56-ioncube-loader-14.4.0-2.el8.x86_64 is already installed.",
    "Dependencies resolved.",
    "================================================================================",
    " Package                  Arch   Version       Repository                  Size",
    "================================================================================",
    "Upgrading:",
    " alt-php56-ioncube-loader x86_64 15.0.0-1.el8  cloudlinux-x86_64-server-8 562 k",
    "",
    "Transaction Summary",
    "================================================================================",
    "Upgrade  1 Package",
    "",
    "Total download size: 562 k",
    "Downloading Packages:",
    "alt-php56-ioncube-loader-15.0.0-1.el8.x86_64.rp 8.6 MB/s | 562 kB     00:00    ",
    "--------------------------------------------------------------------------------",
    "Total                                           8.4 MB/s | 562 kB     00:00     ",
    "Running transaction check",
    "Transaction check succeeded.",
    "Running transaction test",
    "Transaction test succeeded.",
    "Running transaction",
    "  Preparing        :                                                        1/1 ",
    "  Upgrading        : alt-php56-ioncube-loader-15.0.0-1.el8.x86_64           1/2 ",
    "  Cleanup          : alt-php56-ioncube-loader-14.4.0-2.el8.x86_64           2/2 ",
    "  Verifying        : alt-php56-ioncube-loader-15.0.0-1.el8.x86_64           1/2 ",
    "  Verifying        : alt-php56-ioncube-loader-14.4.0-2.el8.x86_64           2/2 ",
    "",
    "Upgraded:",
    "  alt-php56-ioncube-loader-15.0.0-1.el8.x86_64                                  ",
    "",
    "Complete!",
    "[ INFO ] Removing the ioncube_loader_lin.so module from /opt/alt/php56/etc/php.d/default.ini!",
    "    with the ionCube PHP Loader + ionCube24 v15.0.0, Copyright (c) 2002-2025, by ionCube Ltd.",
    "[ INFO ] Ioncube was enabled successfully!"
]